ISP Static
Buy static IPs for sub-user
Buy a package of dedicated static IPs for 1 month. `count` must be one of the package sizes from the catalog. Asynchronous: returns job IDs to poll via `GET /reseller/isp/orders`. Charged from your USD balance only for successfully issued IPs.
Authorization
bearerAuth AuthorizationBearer <token>
Access token obtained via POST /reseller/access-token using your Reseller Key
In: header
Path Parameters
subId*integer
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.soxway.io/reseller/sub-users/0/isp" \ -H "Content-Type: application/json" \ -d '{ "purpose_id": 99, "country": "United Kingdom", "count": 5 }'{
"message": "string",
"data": {
"job_ids": [
41,
42
],
"total_usd": 3,
"price_per_ip_usd": 1.5
}
}Empty
Empty
Empty